"""create table for routing_apis
Revision ID: 2d7a3b8c4e7b
Revises: 0001
Create Date: 2023-05-10 12:34:56.789012

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2d7a3b8c4e7b'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'routing_apis',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('api_key', sa.String(), nullable=False, unique=True),
        sa.Column('max_requests', sa.Integer(), nullable=False, server_default='1000'),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_routing_apis_name', 'name')
    )

def downgrade():
    op.drop_table('routing_apis')